%define release_name Rollin
%define dist_version 14

Summary:	Fuduntu release files
Name:		fuduntu-release
Version:	14
Release:	12.1
License:	GPLv2
Group:		System Environment/Base
URL:		http://www.fuduntu.org
Source:		%{name}-%{version}.tar.bz2

Obsoletes:	redhat-release
Obsoletes:	fedora-release

Provides:	redhat-release
Provides:	fedora-release
Provides:	system-release = %{version}-%{release}

Requires:	fuduntu-theme
Requires:	fuduntu-customizations

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

%description
Fuduntu release files such as yum configs and various /etc/ files that
define the release.

%package rawhide
Summary:        Rawhide repo definitions
Requires:       fuduntu-release = %{version}-%{release}
Requires:	fuduntu-theme
%description rawhide
This package provides repo definitions. Forked from Fedora-release.


%prep
%setup -q

%build

%post
if [ -e "/etc/init.d/preload" ]; then
  /sbin/chkconfig preload on 2>/dev/null || true
fi

%pre

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc
echo "Fuduntu 14 (Rollin)" > $RPM_BUILD_ROOT/etc/fedora-release
echo "cpe:/o:fuduntuproject:fuduntu:%{version}" > $RPM_BUILD_ROOT/etc/system-release-cpe
echo -e "Fuduntu (Punny Name, Serious Distro)" > $RPM_BUILD_ROOT/etc/issue
echo >> $RPM_BUILD_ROOT/etc/issue
cp -p $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
ln -s fedora-release $RPM_BUILD_ROOT/etc/redhat-release
ln -s fedora-release $RPM_BUILD_ROOT/etc/system-release

install -d -m 755 $RPM_BUILD_ROOT/etc/pki/rpm-gpg

install -m 644 RPM-GPG-KEY* $RPM_BUILD_ROOT/etc/pki/rpm-gpg/

# Install all the keys, link the primary keys to primary arch files
# and to compat generic location
pushd $RPM_BUILD_ROOT/etc/pki/rpm-gpg/
for arch in i386 x86_64
  do
  ln -s RPM-GPG-KEY-fuduntu-%{dist_version}-primary RPM-GPG-KEY-fuduntu-$arch
done
ln -s RPM-GPG-KEY-fuduntu-%{dist_version}-primary RPM-GPG-KEY-fuduntu
popd

install -d -m 755 $RPM_BUILD_ROOT/etc/yum.repos.d
for file in f*repo ; do
  install -m 644 $file $RPM_BUILD_ROOT/etc/yum.repos.d
done

# Set up the dist tag macros
install -d -m 755 $RPM_BUILD_ROOT/etc/rpm
cat >> $RPM_BUILD_ROOT/etc/rpm/macros.dist << EOF
# dist macros.

%%fuduntu		%{dist_version}
%%dist		.fu%{dist_version}
%%fu%{dist_version}		1
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc GPL 
%config %attr(0644,root,root) /etc/fedora-release
/etc/redhat-release
/etc/system-release
%config %attr(0644,root,root) /etc/system-release-cpe
%dir /etc/yum.repos.d
%config(noreplace) /etc/yum.repos.d/fuduntu.repo
%config(noreplace) %attr(0644,root,root) /etc/issue
%config(noreplace) %attr(0644,root,root) /etc/issue.net
%config %attr(0644,root,root) /etc/rpm/macros.dist
%dir /etc/pki/rpm-gpg
/etc/pki/rpm-gpg/*

%changelog
* Wed Nov 02 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.12-1
- Cycle package signing key

* Sun Oct 30 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.11-3
- Clean up in preparation for the fork

* Tue Oct 18 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.11-2
- Fix /etc/redhat-release

* Fri Sep 16 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.11
- Quarterly snapshot
- Update Fedora repo definition to support rolling release

* Thu Aug 25 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.10.1
- Update Fuduntu repositories to support SourceForge's
  new FRS Yum support. Thanks again SF! :D

* Sun May 15 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.10
- Remove Likewise from requirements - move to welcome tool
- Rev to 14.10 - prep for release

* Sat Mar 19 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.9-1
- Reel in new nautilus elementary 2.32.2 package

* Thu Mar 01 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.9
- Update to 14.9

* Thu Feb 10 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8-4
- Update dependencies to allow removal of non-wanted software
* Wed Jan 19 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8-3
- Re-add gnome-user-docs, gnome-color-manager, and shutter
* Sun Jan 16 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8-2
- Add Nautilus scripts, and Ailurus. Re-adds tomboy with an icon.
* Wed Jan 12 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8.1
- Fix missing Fluendo, and Flash
* Thu Jan 06 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8
- Add fuduntu-likewise, kernel 2.6.37, and beesu
- Retire BFS and the cgroups hack
* Mon Jan 03 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.7-7
- Added the following package(s): bluez-compat, Likewise Open
* Sat Dec 25 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.7-6
- Obsolete Totem (lots of bugs, and VLC works better)
* Fri Dec 24 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.7-5
- Reconfigure repositories to separate stable and testing, and SRPMS from RPMS
* Thu Dec 23 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.7-4
- Cairo Freeworld causes some application libraries to fail, force its removal
* Tue Dec 21 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.7-3
- Add infinality freetype
* Sat Dec 18 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14-7.1
- Require samba-client, crebs, dropbox, and preload
* Fri Dec 03 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14-6.1
- Moved tweaks to independent package
* Mon Nov 29 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.6
- Move cgroups tweak to init
- bash color prompt was missing on install
- tmp -> RAM missing on install
* Fri Nov 19 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.0-14
- Append 2>/dev/null to CPU group tweak to remove errors when in live mode
* Thu Nov 18 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.0-13
- Change IO elevator to deadline on startup (Note: This will become default in the next kernel build)
- Configure CPU groups to improve response time
* Mon Nov 16 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14-0.12
- Require Fuduntu theme RPM
* Thu Nov 11 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14-0.9
- Update repository to point to SourceForge
- Update default homepage to www.fuduntu.org
* Sat Nov 07 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14-0.8
- Initial release 
